QGIS Application - Bug report #4277
reading raster image segfaults
2011-09-09 06:04 AM - Peter Vogt

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version: Regression?: No
Operating System: linux Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 14217
Description

running QGIS 1.7 (stable) on PCLinuxOS, kernel 2.6.38.8, gcc 4.5.2, QT 4.7.3
Starting QGIS and trying to read any kind of raster layer results in segfault, for example

a) from a terminal:

[pinoc@localhost ~]$ qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]
Warning: loading of gt translation failed [/ust/lib/gt4/translations/qt_en_US]
Python support ENABLED :-)

then when | load a raster image (just load any image file via Layer -> add raster layer) qgis will crash with:

Debug: KGlobal::locale::Warning your global KLocale is being recreated with a valid main component
instead of a fake component, this usually means you tried to call i18n related functions before your main
component was created. You should not do that since it most likely will not work

Segmentation fault

[pinoc@localhost ~]$

b) using gdb

[pinoc@localhost ~]$ gdb /usr/bin/qgis

GNU gdb (GDB) 7.1-2pclos2010 (PCLinuxOS release 2010)

Copyright (C) 2010 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.

This GDB was configured as "i586-mandriva-linux-gnu".

For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/&amp;gt;...

Reading symbols from /usr/bin/qgis...(no debugging symbols found)...done.

(gdb) run

Starting program: /usr/bin/qgis

[Thread debugging using libthread_db enabled]

Traceback (most recent call last):

File "/usr/share/gdb/auto-load/usr/lib/libgobject-2.0.s0.0.2800.6-gdb.py", line 9, in <module>
from gobject import register

File "/usr/share/glib-2.0/gdb/gobject.py”, line 3, in <module>
import gdb.backtrace
http://gnu.org/licenses/gpl.html
http://www.gnu.org/software/gdb/bugs/&amp;gt;

ImportError: No module named backtrace

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of gt translation failed [/ust/lib/gt4/translations/qt_en_US]

Python support ENABLED :-)

/usr/lib/python2.6/site-packages/qgis/utils.py:283: DeprecationWarning: the sets module is deprecated

mod = _builtin_import(name, globals, locals, fromlist, level)

Loaded : fTools (package: fTools)

Loaded : Plugin Installer (package: plugin_installer)

Debug: KGlobal::locale::Warning your global KLocale is being recreated with a valid main component instead of a fake component, this
usually means you tried to call i18n related functions before your main component was created. You should not do that since it most likely
will not work

Program received signal SIGSEGV, Segmentation fault.
0xb7a5d97c¢ in QVector<int>::operator=(QVector<int> const&) ()
from /ustr/lib/libggis_core.so.1.7.0
(gdb) bt
#0 O0xb7a5d97c in QVector<int>::operator=(QVector<int> const&) ()
from /ustr/lib/libqgis_core.s0.1.7.0
#1 O0xb7a581a3 in QgsRasterLayer::setDataProvider(QString const&, QStringList const&, QStringList const&, QString const&, QString
const&, bool) () from /usr/lib/libggis_core.s0.1.7.0
#2 0xb7a5b090 in QgsRasterLayer::QgsRasterLayer(QString const&, QString const&, bool) ()
from /ustr/lib/libqgis_core.s0.1.7.0
#3 0x0811bebe in QgisApp::addRasterLayers(QStringList const&, bool) ()
#4 0x0811c4dea in QgisApp::addRasterLayer() ()
#5 0x08397cfd in QgisApp::gt_metacall(QMetaObject::Call, int, void**) ()
#6 0xb7444dad in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) ()
from /usr/lib/libQtCore.so0.4
#7 0xb745446¢ in QMetaObiject::activate(QODbject*, QMetaObject const*, int, void**) ()
from /usr/lib/libQtCore.so0.4
#8 0xb695dabd in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
#9 0xb695dd5b in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
#10 Oxb6e13565 in ?? () from /usr/lib/libQtGui.so0.4
#11 Oxb6et1al1d7 in ?7? () from /usr/lib/libQtGui.so.4
#12 0xb6e1b095 in QMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#13 0xb69bfe90 in QWidget::event(QEvent™) () from /usr/lib/libQtGui.so.4
#14 0xb6e1b5bc in QMenu::event(QEvent*) () from /usr/lib/libQtGui.so.4
#15 0xb6964e44 in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
from /usr/lib/libQtGui.so.4
#16 0xb696a950 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#17 0xb7903866 in QgsApplication::notify(QObject*, QEvent*) ()
from /ustr/lib/libqgis_core.s0.1.7.0
#18 0xb743e5ae in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
from /usr/lib/libQtCore.s0.4
#19 0xb6965eec in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,
QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so0.4
#20 0xb69f2831 in ?7? () from /usr/lib/libQtGui.so0.4
#21 0xb69f1781 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
---Type <return> to continue, or q <return> to quit---
#22 0xb6a1bd30 in ?? () from /usr/lib/libQtGui.so.4
#23 0xb585e369 in g_main_context_dispatch () from /usr/lib/libglib-2.0.s0.0
#24 0xb585eb70 in ?? () from /usr/lib/libglib-2.0.50.0
#25 0xb585ee2a in g_main_context_iteration () from /usr/lib/libglib-2.0.s0.0
#26 Oxb746ceeb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)
() from /usr/lib/libQtCore.s0.4

#27 Oxb6a1b94a in ?? () from /usr/lib/libQtGui.so0.4

#28 0xb743d7bd in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
from /usr/lib/libQtCore.so0.4

#29 0xb743da39 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
from /usr/lib/libQtCore.s0.4

#30 0xb7442540 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4

#31 0xb6962bc4 in QApplication::exec() () from /usr/lib/libQtGui.so.4

#32 0x080fb503 in main ()

(gdb)

History

#1 - 2011-09-09 09:20 AM - Martin Dobias

Please attach a sample raster file. Even better, try to compile qgis with debugging support in order to get better information about the source of the crash.

#2 - 2011-09-12 01:24 AM - Peter Vogt

sorry for the late reply. The problem could be solved by recompiling/updating some python libraries and QGIS is working fine now

#3 - 2011-09-12 01:32 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed
